## fcitx-unikey 0.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(fcitx-unikey)

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

# uninstall target
configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY)

add_custom_target(uninstall
    COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)

set(CMAKE_C_FLAGS "-Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -fvisibility=hidden ${CMAKE_C_FLAGS}")
set(CMAKE_CXX_FLAGS "-Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -fvisibility=hidden ${CMAKE_CXX_FLAGS}")
set(CMAKE_SHARED_LINKER_FLAGS "-Wl,--as-needed ${CMAKE_SHARED_LINKER_FLAGS}")
set(CMAKE_MODULE_LINKER_FLAGS "-Wl,--as-needed ${CMAKE_MODULE_LINKER_FLAGS}")

find_package(Fcitx 4.2.3 REQUIRED)
find_package(Libiconv REQUIRED)
find_package(Gettext REQUIRED)

configure_file(config.h.in config.h)

add_subdirectory(src)
add_subdirectory(data)
add_subdirectory(po)

=== data/CMakeLists.txt ===
fcitx_add_addon_conf_file(fcitx-unikey.conf)
fcitx_add_configdesc_file(fcitx-unikey.desc)
fcitx_add_inputmethod_conf_file(unikey.conf)

install(FILES unikey.png DESTINATION ${FCITX4_PREFIX}/share/fcitx/skin/default/)
install(FILES unikey.png RENAME fcitx-unikey.png DESTINATION share/icons/hicolor/256x256/apps/)

=== po/CMakeLists.txt ===
file(GLOB PO_FILES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.po)
file(RELATIVE_PATH REL_SOURCE_ROOT ${PROJECT_BINARY_DIR} ${PROJECT_SOURCE_DIR})
if ("${REL_SOURCE_ROOT}" STREQUAL "")
    set(REL_SOURCE_ROOT ".")
endif("${REL_SOURCE_ROOT}" STREQUAL "")

set(POT_FILE fcitx-unikey.pot)

configure_file(POTFILES.in.in ${CMAKE_CURRENT_BINARY_DIR}/POTFILES.in)

extract_fcitx_addon_conf_postring()

add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/desc.po
                   COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/getdescpo ${PROJECT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}
                   DEPENDS getdescpo)

add_custom_target(
    pot
    COMMAND INTLTOOL_EXTRACT=${INTLTOOL_EXTRACT} srcdir=${CMAKE_CURRENT_BINARY_DIR} ${INTLTOOL_UPDATE} --gettext-package fcitx-unikey --pot
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/conf.po ${CMAKE_CURRENT_BINARY_DIR}/desc.po
    )

# Update .po files and compile them to binary .gmo files
gettext_create_translations(${POT_FILE} ALL ${PO_FILES})

=== src/CMakeLists.txt ===
include_directories (
${PROJECT_SOURCE_DIR}/unikey
${FCITX4_FCITX_INCLUDE_DIRS}
${FCITX4_FCITX_CONFIG_INCLUDE_DIRS}
${FCITX4_FCITX_UTILS_INCLUDE_DIRS}
${PROJECT_BINARY_DIR}
${LIBICONV_INCLUDE_DIR}
)

set( fcitx_unikey_sources
    unikey-im.cpp
    unikey-config.cpp
    unikey-ui.cpp
    )

set(UNIKEY_SRCS
    ../unikey/byteio.cpp
    ../unikey/byteio.h
    ../unikey/charset.cpp
    ../unikey/charset.h
    ../unikey/convert.cpp
    ../unikey/data.cpp
    ../unikey/data.h
    ../unikey/error.cpp
    ../unikey/inputproc.cpp
    ../unikey/inputproc.h
    ../unikey/keycons.h
    ../unikey/mactab.cpp
    ../unikey/mactab.h
    ../unikey/pattern.cpp
    ../unikey/pattern.h
    ../unikey/ukengine.cpp
    ../unikey/ukengine.h
    ../unikey/unikey.cpp
    ../unikey/unikey.h
    ../unikey/usrkeymap.cpp
    ../unikey/usrkeymap.h
    ../unikey/vnconv.h
    ../unikey/vnlexi.h
)

add_definitions( -DLOCALEDIR=\"${CMAKE_INSTALL_PREFIX}/share/locale\" )

fcitx_add_addon(fcitx-unikey ${fcitx_unikey_sources} ${UNIKEY_SRCS} )

=== debian/changelog ===
fcitx-unikey (0.1.0-1) unstable; urgency=low

  * Initial release (Closes: #671712)

 -- Aron Xu <aron@debian.org>  Tue, 15 May 2012 01:18:45 +0800

=== debian/control ===
Source: fcitx-unikey
Section: utils
Priority: optional
Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@gmail.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 8), cmake, pkg-config, intltool,
               fcitx-libs-dev (>= 4.2.3)
Standards-Version: 3.9.3
Homepage: http://code.google.com/p/fcitx
Vcs-Git: git://git.debian.org/pkg-ime/fcitx-unikey.git
Vcs-Browser: http://git.debian.org/?p=pkg-ime/fcitx-unikey.git

Package: fcitx-unikey
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fcitx-modules
Recommends: fcitx
Description: Fcitx wrapper for Unikey engine
 Fcitx is the Free Chinese Input Toy of X, which was initially designed
 for Chinese users, and used XIM protocol. Now it has already evolved
 into a highly modularized, feature rich input method framework for
 Unix-like platforms supporting a considerable amount of frontends,
 backends and modules.
 .
 It is an ideal choice for the vast majority. Many of its features make
 users of Unix-like platforms have a fully modern input experience for
 the first time. It has also greatly lower the threshold for developers,
 making the development of extended funtions much easier than ever before.
 .
 This package provides the wrapper for Unikey engine, which is an input
 method for Vietnamese.

## fcitx-unikey 0.2.2

=== po/CMakeLists.txt ===
set(PO_LANGS de zh_CN vi zh_TW ja)
foreach(lang ${PO_LANGS})
   fcitx_translate_add_po_file("${lang}" "${lang}.po")
endforeach()
fcitx_translate_set_pot_target(pot fcitx-unikey fcitx-unikey.pot)

=== src/CMakeLists.txt ===

include_directories (
${PROJECT_SOURCE_DIR}/unikey
${FCITX4_FCITX_INCLUDE_DIRS}
${FCITX4_FCITX_CONFIG_INCLUDE_DIRS}
${FCITX4_FCITX_UTILS_INCLUDE_DIRS}
${PROJECT_BINARY_DIR}
${LIBICONV_INCLUDE_DIR}
)

set( fcitx_unikey_sources
    unikey-im.cpp
    unikey-config.cpp
    unikey-ui.cpp
    )

add_definitions( -DLOCALEDIR=\"${CMAKE_INSTALL_PREFIX}/share/locale\" )

fcitx_add_addon_full(unikey
   SOURCES ${fcitx_unikey_sources}
   LINK_LIBS unikey
   IM_CONFIG unikey.conf
   )

=== unikey/CMakeLists.txt ===

set(UNIKEY_SRCS
    byteio.cpp
    byteio.h
    charset.cpp
    charset.h
    convert.cpp
    data.cpp
    data.h
    error.cpp
    inputproc.cpp
    inputproc.h
    keycons.h
    mactab.cpp
    mactab.h
    pattern.cpp
    pattern.h
    ukengine.cpp
    ukengine.h
    unikey.cpp
    unikey.h
    usrkeymap.cpp
    usrkeymap.h
    vnconv.h
    vnlexi.h
)


add_library(unikey STATIC ${UNIKEY_SRCS})
set_target_properties(unikey PROPERTIES COMPILE_FLAGS "-fPIC")

=== debian/changelog ===
fcitx-unikey (0.2.2-1) unstable; urgency=low

  * New upstream release

 -- Aron Xu <aron@debian.org>  Mon, 05 Aug 2013 22:19:58 +0800

fcitx-unikey (0.1.1-1) experimental; urgency=low

  * New upstream release.

 -- Aron Xu <aron@debian.org>  Fri, 30 Nov 2012 20:43:23 +0800

## fcitx-unikey 0.2.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,8 @@
 project(fcitx-unikey)
 
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
+
+option(ENABLE_QT "Enable Qt based macro editor" On)
 
 # uninstall target
 configure_file(
@@ -18,12 +20,20 @@
 set(CMAKE_SHARED_LINKER_FLAGS "-Wl,--as-needed ${CMAKE_SHARED_LINKER_FLAGS}")
 set(CMAKE_MODULE_LINKER_FLAGS "-Wl,--as-needed ${CMAKE_MODULE_LINKER_FLAGS}")
 
-find_package(Fcitx 4.2.3 REQUIRED)
+find_package(Fcitx 4.2.8 REQUIRED)
 find_package(Libiconv REQUIRED)
 find_package(Gettext REQUIRED)
 
+if (ENABLE_QT)
+find_package(Qt4 4.8)
+
+pkg_check_modules(FCITX_QT "fcitx-qt>=4.2.8")
+endif (ENABLE_QT)
+
 configure_file(config.h.in config.h)
 
+add_subdirectory(po)
+add_subdirectory(unikey)
 add_subdirectory(src)
 add_subdirectory(data)
-add_subdirectory(po)
+add_subdirectory(macro-editor)

=== macro-editor/CMakeLists.txt ===


set(MACRO_EDITOR_SRCS
    model.cpp
    main.cpp
    editor.cpp
    dialog.cpp
    )
set(MACRO_EDITOR_HDRS
    model.h
    editor.h
    dialog.h
    main.h
    )
fcitx_translate_add_sources(
    ${MACRO_EDITOR_SRCS}
    ${MACRO_EDITOR_HDRS})

if (NOT QT_FOUND OR NOT FCITX_QT_FOUND OR NOT ENABLE_QT)
    return()
endif (NOT QT_FOUND OR NOT FCITX_QT_FOUND OR NOT ENABLE_QT)

include_directories(
    ${FCITX_QT_INCLUDE_DIRS}
    ${QT_QTCORE_INCLUDE_DIR}
    ${QT_QTGUI_INCLUDE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${PROJECT_SOURCE_DIR}/unikey
    )

link_directories(
${FCITX4_FCITX_UTILS_LIBRARY_DIRS}
${FCITX4_FCITX_CONFIG_LIBRARY_DIRS}
${FCITX_QT_LIBRARY_DIRS}
)
qt4_wrap_cpp(MACRO_EDITOR_MOCS ${MACRO_EDITOR_HDRS})
qt4_wrap_ui(MACRO_EDITOR_SRCS editor.ui dialog.ui)
add_library(fcitx-unikey-macro-editor
  MODULE ${MACRO_EDITOR_SRCS} ${MACRO_EDITOR_MOCS})
set_target_properties(fcitx-unikey-macro-editor PROPERTIES
                      LINK_FLAGS "-Wl,--no-undefined"
)
target_link_libraries(fcitx-unikey-macro-editor
    debug ${QT_QTCORE_LIBRARY_DEBUG}
    debug ${QT_QTDBUS_LIBRARY_DEBUG}
    debug ${QT_QTGUI_LIBRARY_DEBUG}
    optimized ${QT_QTCORE_LIBRARY_RELEASE}
    optimized ${QT_QTDBUS_LIBRARY_RELEASE}
    optimized ${QT_QTGUI_LIBRARY_RELEASE}
    unikey
    ${FCITX4_FCITX_UTILS_LIBRARIES}
    ${FCITX4_FCITX_CONFIG_LIBRARIES}
    ${FCITX_QT_LIBRARIES}
    )

install(TARGETS fcitx-unikey-macro-editor DESTINATION ${FCITX4_ADDON_INSTALL_DIR}/qt)

=== debian/changelog ===
fcitx-unikey (0.2.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build failure with GCC 6. Closes: #811723.
  * Fix some lintian warnings.

 -- Matthias Klose <doko@debian.org>  Fri, 29 Jul 2016 11:08:57 +0200

fcitx-unikey (0.2.4-1) unstable; urgency=low

  * New upstream release

 -- Aron Xu <aron@debian.org>  Sun, 06 Jul 2014 02:54:37 +0800

=== debian/control ===
Source: fcitx-unikey
Section: utils
Priority: optional
Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@gmail.com>
Build-Depends: debhelper (>= 9), cmake, pkg-config, intltool,
 fcitx-libs-dev (>= 1:4.2.8), fcitx-bin (>= 1:4.2.8)
Standards-Version: 3.9.8
Homepage: http://code.google.com/p/fcitx
Vcs-Git: git://anonscm.debian.org/pkg-ime/fcitx-unikey.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ime/fcitx-unikey.git

Package: fcitx-unikey
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fcitx-modules
Recommends: fcitx (>= 1:4.2.8)
Description: Fcitx wrapper for Unikey engine
 Fcitx is the Free Chinese Input Toy of X, which was initially designed
 for Chinese users, and used XIM protocol. Now it has already evolved
 into a highly modularized, feature rich input method framework for
 Unix-like platforms supporting a considerable amount of frontends,
 backends and modules.
 .
 It is an ideal choice for the vast majority. Many of its features make
 users of Unix-like platforms have a fully modern input experience for
 the first time. It has also greatly lower the threshold for developers,
 making the development of extended functions much easier than ever before.
 .
 This package provides the wrapper for Unikey engine, which is an input
 method for Vietnamese.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/default.mk
CFLAGS += $(CPPFLAGS)
CXXFLAGS += $(CPPFLAGS)

%:
	dh $@ 
override_dh_makeshlibs:

=== debian/watch ===
version=3
http://code.google.com/p/fcitx/downloads/list .*/fcitx-unikey-*\.*(.*)\.tar\.xz

## fcitx-unikey 0.2.7

=== macro-editor/CMakeLists.txt ===


set(MACRO_EDITOR_SRCS
    model.cpp
    main.cpp
    editor.cpp
    dialog.cpp
    )
set(MACRO_EDITOR_HDRS
    model.h
    editor.h
    dialog.h
    main.h
    )
fcitx_translate_add_sources(
    ${MACRO_EDITOR_SRCS}
    ${MACRO_EDITOR_HDRS})

if (NOT ENABLE_QT)
    return()
endif (NOT ENABLE_QT)

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${PROJECT_SOURCE_DIR}/unikey
    )

link_directories(
${FCITX4_FCITX_UTILS_LIBRARY_DIRS}
${FCITX4_FCITX_CONFIG_LIBRARY_DIRS}
)
qt5_wrap_ui(MACRO_EDITOR_SRCS editor.ui dialog.ui)
add_library(fcitx-unikey-macro-editor
  MODULE ${MACRO_EDITOR_SRCS} ${MACRO_EDITOR_MOCS})
set_target_properties(fcitx-unikey-macro-editor PROPERTIES
                      LINK_FLAGS "-Wl,--no-undefined"
                      AUTOMOC TRUE
)
target_link_libraries(fcitx-unikey-macro-editor
    Qt5::Core
    Qt5::Widgets
    FcitxQt5::WidgetsAddons
    LibIntl::LibIntl
    unikey
    ${FCITX4_FCITX_UTILS_LIBRARIES}
    ${FCITX4_FCITX_CONFIG_LIBRARIES}
    )

install(TARGETS fcitx-unikey-macro-editor DESTINATION ${FCITX4_ADDON_INSTALL_DIR}/qt)

=== po/CMakeLists.txt ===
file(GLOB PO_FILES RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" *.po)

foreach(po_file ${PO_FILES})
  string(REPLACE ".po" "" po_lang "${po_file}")
  fcitx_translate_add_po_file("${po_lang}" "${po_file}")
endforeach()
fcitx_translate_set_pot_target(pot fcitx-unikey fcitx-unikey.pot)

=== debian/changelog ===
fcitx-unikey (0.2.7-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:13:53 +0100

fcitx-unikey (0.2.7-1) unstable; urgency=medium

  * Team upload.
  * Acknowledge previous NMU.
  * New upstream release.
    + Port to Qt5.
  * Apply "wrap-and-sort -abst".
  * Refresh packaging instructions.
    + Update maintainer to Debian Input Method Team.
      (Closes: #899970)
    + Use GitLab as homepage.
    + Use canonical Vcs URL.
    + Bump Standards-Version to 4.2.1
    + Bump debhelper compat to v11.
  * Enable full hardening.
  * Drop patches previously cherry-picked from upstream.
  * Point d/watch to download.fcitx-im.org.
  * Refresh d/copyright information.

 -- Boyuan Yang <byang@debian.org>  Sat, 20 Oct 2018 22:58:51 -0400

=== debian/control ===
Source: fcitx-unikey
Section: utils
Priority: optional
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Aron Xu <aron@debian.org>,
 YunQiang Su <syq@debian.org>,
Build-Depends:
 cmake,
 debhelper (>= 11),
 fcitx-bin (>= 1:4.2.8),
 fcitx-libs-dev (>= 1:4.2.8),
 intltool,
 libfcitx-qt5-dev,
 pkg-config,
 qt5-qmake,
 qtbase5-dev,
Standards-Version: 4.2.1
Homepage: https://gitlab.com/fcitx/fcitx-unikey
Vcs-Git: https://salsa.debian.org/input-method-team/fcitx-unikey.git
Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx-unikey

Package: fcitx-unikey
Architecture: any
Depends:
 fcitx-modules,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 fcitx (>= 1:4.2.8),
Description: Fcitx wrapper for Unikey engine
 Fcitx is the Free Chinese Input Toy of X, which was initially designed
 for Chinese users, and used XIM protocol. Now it has already evolved
 into a highly modularized, feature rich input method framework for
 Unix-like platforms supporting a considerable amount of frontends,
 backends and modules.
 .
 It is an ideal choice for the vast majority. Many of its features make
 users of Unix-like platforms have a fully modern input experience for
 the first time. It has also greatly lower the threshold for developers,
 making the development of extended functions much easier than ever before.
 .
 This package provides the wrapper for Unikey engine, which is an input
 method for Vietnamese.

## fcitx-unikey 0.2.7%2Bgit20220410

=== unikey/CMakeLists.txt ===
--- 
+++ 
@@ -28,3 +28,4 @@
 
 add_library(unikey STATIC ${UNIKEY_SRCS})
 set_target_properties(unikey PROPERTIES COMPILE_FLAGS "-fPIC")
+target_link_libraries(unikey LibIntl::LibIntl)

## fcitx-unikey 0.2.7+git20220410

=== CMakeLists.txt ===
--- 
+++ 
@@ -21,13 +21,13 @@
 set(CMAKE_MODULE_LINKER_FLAGS "-Wl,--as-needed ${CMAKE_MODULE_LINKER_FLAGS}")
 
 find_package(Fcitx 4.2.8 REQUIRED)
-find_package(Libiconv REQUIRED)
 find_package(Gettext REQUIRED)
+find_package(LibIntl REQUIRED)
 
 if (ENABLE_QT)
-find_package(Qt4 4.8)
+find_package(Qt5 5.7 REQUIRED COMPONENTS Core Gui Widgets)
+find_package(FcitxQt5WidgetsAddons 1.1 REQUIRED)
 
-pkg_check_modules(FCITX_QT "fcitx-qt>=4.2.8")
 endif (ENABLE_QT)
 
 configure_file(config.h.in config.h)

=== debian/changelog ===
fcitx-unikey (0.2.7+git20220410-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with CMake 4. (Closes: #1112907)

 -- Adrian Bunk <bunk@debian.org>  Sat, 11 Oct 2025 21:44:34 +0300

fcitx-unikey (0.2.7+git20220410-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot.
    + Update translation.
    + Fix upstream issue 24 (Different keyState values in
      Firefox vs Chromium).
  * Refresh packaging instructions:
    + Bump debhelper compat to v13.
    + Bump Standards-Version to 4.6.1.
    + Update homepage information to use github project.

 -- Boyuan Yang <byang@debian.org>  Wed, 18 May 2022 15:02:35 -0400

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export QT_SELECT := 5

%:
	dh $@

override_dh_makeshlibs:

override_dh_missing:
	dh_missing --fail-missing

=== debian/watch ===
version=4
opts="" \
 https://download.fcitx-im.org/fcitx-unikey/ \
 fcitx-unikey-?(\d[\d.]*)@ARCHIVE_EXT@ debian uupdate
